pig-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Dai (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (PIG-3256) Upgrade jython to 2.5.3 (legal concern)
Date Thu, 21 Mar 2013 00:43:16 GMT

     [ https://issues.apache.org/jira/browse/PIG-3256?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Daniel Dai updated PIG-3256:
----------------------------

    Attachment: PIG-3256-4.patch

Attached new patch. Thanks again!
                
> Upgrade jython to 2.5.3 (legal concern)
> ---------------------------------------
>
>                 Key: PIG-3256
>                 URL: https://issues.apache.org/jira/browse/PIG-3256
>             Project: Pig
>          Issue Type: Bug
>            Reporter: Daniel Dai
>            Assignee: Daniel Dai
>            Priority: Critical
>             Fix For: 0.12, 0.11.1
>
>         Attachments: PIG-3256-1.patch, PIG-3256-2.patch, PIG-3256-3.patch, PIG-3256-4.patch
>
>
> When we review the legal documents with Microsoft for Windows work, here is the recommend
from lawyer:
> Jython 2.5.2 redistributes an external LGPL component (JNA) in a manner that puts Jython
out of compliance with the LGPL. As such dependent components like Pig are also arguably out
of compliance with the LGPL.
> It appears that this has been quietly found and fixed by the Jython guys, as version
2.5.3 does not include the JNA component. However the status of 2.5.2 with respect to the
LGPL and Apache legal is still unclear.
> The easiest way to remediate this whole problem is to simply move Pig to Jython 2.5.3
and remove the question.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message